#modules needed
import pandas as pd
import numpy as np
import glob, os
#create a dataframe to save the results of preprocessing
result = pd.DataFrame(columns = ('filename','Gender','age','IR_correct_abs_1122_prime','IR_wrong_abs_1122_prime','IR_errorrate_1122_prime','IR_RT_1122_prime','IR_correct_abs_1122_probe','IR_wrong_abs_1122_probe','IR_errorrate_1122_probe','IR_RT_1122_probe','IR_Attprime_1122','IR_Ignprime_1122','IR_Ignprobe_1122','IR_neutral_1122','IRC_correct_abs_1122_prime','IRC_wrong_abs_1122_prime','IRC_errorrate_1122_prime','IRC_RT_1122_prime','IRC_correct_abs_1122_probe','IRC_wrong_abs_1122_probe','IRC_errorrate_1122_probe','IRC_RT_1122_probe','IRC_Attprime_1122','IRC_Ignprime_1122','IRC_Ignprobe_1122','IRC_neutral_1122','AR_correct_abs_1122_prime','AR_wrong_abs_1122_prime','AR_errorrate_1122_prime','AR_RT_1122_prime','AR_correct_abs_1122_probe','AR_wrong_abs_1122_probe','AR_errorrate_1122_probe','AR_RT_1122_probe','AR_Attprime_1122','AR_Ignprime_1122','AR_Ignprobe_1122','AR_neutral_1122','ARC_correct_abs_1122_prime','ARC_wrong_abs_1122_prime','ARC_errorrate_1122_prime','ARC_RT_1122_prime','ARC_correct_abs_1122_probe','ARC_wrong_abs_1122_probe','ARC_errorrate_1122_probe','ARC_RT_1122_probe','ARC_Attprime_1122','ARC_Ignprime_1122','ARC_Ignprobe_1122','ARC_neutral_1122','IR_correct_abs_1221_prime','IR_wrong_abs_1221_prime','IR_errorrate_1221_prime','IR_RT_1221_prime','IR_correct_abs_1221_probe','IR_wrong_abs_1221_probe','IR_errorrate_1221_probe','IR_RT_1221_probe','IR_Attprime_1221','IR_Ignprime_1221','IR_Ignprobe_1221','IR_neutral_1221','IRC_correct_abs_1221_prime','IRC_wrong_abs_1221_prime','IRC_errorrate_1221_prime','IRC_RT_1221_prime','IRC_correct_abs_1221_probe','IRC_wrong_abs_1221_probe','IRC_errorrate_1221_probe','IRC_RT_1221_probe','IRC_Attprime_1221','IRC_Ignprime_1221','IRC_Ignprobe_1221','IRC_neutral_1221','AR_correct_abs_1221_prime','AR_wrong_abs_1221_prime','AR_errorrate_1221_prime','AR_RT_1221_prime','AR_correct_abs_1221_probe','AR_wrong_abs_1221_probe','AR_errorrate_1221_probe','AR_RT_1221_probe','AR_Attprime_1221','AR_Ignprime_1221','AR_Ignprobe_1221','AR_neutral_1221','ARC_correct_abs_1221_prime','ARC_wrong_abs_1221_prime','ARC_errorrate_1221_prime','ARC_RT_1221_prime','ARC_correct_abs_1221_probe','ARC_wrong_abs_1221_probe','ARC_errorrate_1221_probe','ARC_RT_1221_probe','ARC_Attprime_1221','ARC_Ignprime_1221','ARC_Ignprobe_1221','ARC_neutral_1221','IR_correct_abs_3344_prime','IR_wrong_abs_3344_prime','IR_errorrate_3344_prime','IR_RT_3344_prime','IR_correct_abs_3344_probe','IR_wrong_abs_3344_probe','IR_errorrate_3344_probe','IR_RT_3344_probe','IR_Attprime_3344','IR_Ignprime_3344','IR_Ignprobe_3344','IR_neutral_3344','IRC_correct_abs_3344_prime','IRC_wrong_abs_3344_prime','IRC_errorrate_3344_prime','IRC_RT_3344_prime','IRC_correct_abs_3344_probe','IRC_wrong_abs_3344_probe','IRC_errorrate_3344_probe','IRC_RT_3344_probe','IRC_Attprime_3344','IRC_Ignprime_3344','IRC_Ignprobe_3344','IRC_neutral_3344','AR_correct_abs_3344_prime','AR_wrong_abs_3344_prime','AR_errorrate_3344_prime','AR_RT_3344_prime','AR_correct_abs_3344_probe','AR_wrong_abs_3344_probe','AR_errorrate_3344_probe','AR_RT_3344_probe','AR_Attprime_3344','AR_Ignprime_3344','AR_Ignprobe_3344','AR_neutral_3344','ARC_correct_abs_3344_prime','ARC_wrong_abs_3344_prime','ARC_errorrate_3344_prime','ARC_RT_3344_prime','ARC_correct_abs_3344_probe','ARC_wrong_abs_3344_probe','ARC_errorrate_3344_probe','ARC_RT_3344_probe','ARC_Attprime_3344','ARC_Ignprime_3344','ARC_Ignprobe_3344','ARC_neutral_3344','IR_correct_abs_3443_prime','IR_wrong_abs_3443_prime','IR_errorrate_3443_prime','IR_RT_3443_prime','IR_correct_abs_3443_probe','IR_wrong_abs_3443_probe','IR_errorrate_3443_probe','IR_RT_3443_probe','IR_Attprime_3443','IR_Ignprime_3443','IR_Ignprobe_3443','IR_neutral_3443','IRC_correct_abs_3443_prime','IRC_wrong_abs_3443_prime','IRC_errorrate_3443_prime','IRC_RT_3443_prime','IRC_correct_abs_3443_probe','IRC_wrong_abs_3443_probe','IRC_errorrate_3443_probe','IRC_RT_3443_probe','IRC_Attprime_3443','IRC_Ignprime_3443','IRC_Ignprobe_3443','IRC_neutral_3443','AR_correct_abs_3443_prime','AR_wrong_abs_3443_prime','AR_errorrate_3443_prime','AR_RT_3443_prime','AR_correct_abs_3443_probe','AR_wrong_abs_3443_probe','AR_errorrate_3443_probe','AR_RT_3443_probe','AR_Attprime_3443','AR_Ignprime_3443','AR_Ignprobe_3443','AR_neutral_3443','ARC_correct_abs_3443_prime','ARC_wrong_abs_3443_prime','ARC_errorrate_3443_prime','ARC_RT_3443_prime','ARC_correct_abs_3443_probe','ARC_wrong_abs_3443_probe','ARC_errorrate_3443_probe','ARC_RT_3443_probe','ARC_Attprime_3443','ARC_Ignprime_3443','ARC_Ignprobe_3443','ARC_neutral_3443'))
#read in the files 
path = r'D:\Saliency_online_English'
file = glob.glob(os.path.join(path,"PARTICIPANT_Saliency_Online**.csv"))

#preprocessing data each of the files
for f in file:
    df = pd.read_csv(f)
    age = df['Age*'][0]
    gender = df['Gender*'][0]
    #set a criterion to get puredata (i.e., experiment relevent data, excluding filenames, gender, etc)
    criteria = df['primeprobecontext']>0
    #use the criteria to cut the puredata from the original file (i.e., df) for preprocessing
    puredata = df[criteria][['trialtype','primeprobecontext','prime','corrAnsprime','primetstop','primestimmuliresponse.keys','primestimmuliresponse.corr','primestimmuliresponse.rt','primewrongkey','probe','corrAnsprobe','probetstop','probestimuliresponse.keys','probestimuliresponse.corr','probestimuliresponse.rt','probewrongkey']]
  
    #add keys that are assigned to distractors (for error specification):
    #prime
    def prime(x):
        if "L_A_B" in x:
            return 'v'
        elif "L_A_C" in x:
            return 'j'
        elif "L_A_D" in x:
            return 'n'
        elif "L_B_A" in x:
            return 'f'
        elif "L_B_C" in x:
            return 'j'
        elif "L_B_D" in x:
            return 'n'
        elif "L_C_A" in x:
            return 'f'
        elif "L_C_B" in x:
            return 'v'
        elif "L_C_D" in x:
            return 'n'
        elif "L_D_A" in x:
            return 'f'
        elif "L_D_B" in x:
            return 'v'
        elif "L_D_C" in x:
            return 'j'
        elif "R_A_B" in x:
            return 'f'
        elif "R_A_C" in x:
            return 'f'
        elif "R_A_D" in x:
            return 'f'
        elif "R_B_A" in x:
            return 'v'
        elif "R_B_C" in x:
            return 'v'
        elif "R_B_D" in x:
            return 'v'
        elif "R_C_A" in x:
            return 'j'
        elif "R_C_B" in x:
            return 'j'
        elif "R_C_D" in x:
            return 'j'
        elif "R_D_A" in x:
            return 'n'
        elif "R_D_B" in x:
            return 'n'
        else:
            return 'n'
    #add a column to store the keys    
    puredata['primedis'] = puredata['prime'].apply(prime)
    #probe
    def probe(x):
        if "L_A_B" in x:
            return 'v'
        elif "L_A_C" in x:
            return 'j'
        elif "L_A_D" in x:
            return 'n'
        elif "L_B_A" in x:
            return 'f'
        elif "L_B_C" in x:
            return 'j'
        elif "L_B_D" in x:
            return 'n'
        elif "L_C_A" in x:
            return 'f'
        elif "L_C_B" in x:
            return 'v'
        elif "L_C_D" in x:
            return 'n'
        elif "L_D_A" in x:
            return 'f'
        elif "L_D_B" in x:
            return 'v'
        elif "L_D_C" in x:
            return 'j'
        elif "R_A_B" in x:
            return 'f'
        elif "R_A_C" in x:
            return 'f'
        elif "R_A_D" in x:
            return 'f'
        elif "R_B_A" in x:
            return 'v'
        elif "R_B_C" in x:
            return 'v'
        elif "R_B_D" in x:
            return 'v'
        elif "R_C_A" in x:
            return 'j'
        elif "R_C_B" in x:
            return 'j'
        elif "R_C_D" in x:
            return 'j'
        elif "R_D_A" in x:
            return 'n'
        elif "R_D_B" in x:
            return 'n'
        else:
            return 'n'
    puredata['probedis'] = puredata['probe'].apply(probe)      

    #separate puredata into IR_all, IRC_all, AR_all, ARC_all
    IR_all = puredata.loc[(puredata['trialtype'].str.startswith('I'))&(puredata['trialtype'].str.endswith('R'))]
    IRC_all = puredata.loc[(puredata['trialtype'].str.startswith('I'))&(puredata['trialtype'].str.endswith('C'))]
    AR_all = puredata.loc[(puredata['trialtype'].str.startswith('A'))&(puredata['trialtype'].str.endswith('R'))]
    ARC_all = puredata.loc[(puredata['trialtype'].str.startswith('A'))&(puredata['trialtype'].str.endswith('C'))]

    #separate IR trials according to contexts
    IR_1122 = IR_all.loc[(IR_all['primeprobecontext']== 11)|(IR_all['primeprobecontext']==22)]

    IR_1221 = IR_all.loc[(IR_all['primeprobecontext']== 12)|(IR_all['primeprobecontext']==21)]

    IR_3344 = IR_all.loc[(IR_all['primeprobecontext']== 33)|(IR_all['primeprobecontext']==44)]

    IR_3443 = IR_all.loc[(IR_all['primeprobecontext']== 34)|(IR_all['primeprobecontext']==43)]

    #separate IRC trials according to contexts
    IRC_1122 = IRC_all.loc[(IRC_all['primeprobecontext']== 11)|(IRC_all['primeprobecontext']==22)]

    IRC_1221 = IRC_all.loc[(IRC_all['primeprobecontext']== 12)|(IRC_all['primeprobecontext']==21)]

    IRC_3344 = IRC_all.loc[(IRC_all['primeprobecontext']== 33)|(IRC_all['primeprobecontext']==44)]

    IRC_3443 = IRC_all.loc[(IRC_all['primeprobecontext']== 34)|(IRC_all['primeprobecontext']==43)]

    #separate AR trials according to contexts
    AR_1122 = AR_all.loc[(AR_all['primeprobecontext']== 11)|(AR_all['primeprobecontext']==22)]

    AR_1221 = AR_all.loc[(AR_all['primeprobecontext']== 12)|(AR_all['primeprobecontext']==21)]

    AR_3344 = AR_all.loc[(AR_all['primeprobecontext']== 33)|(AR_all['primeprobecontext']==44)]

    AR_3443 = AR_all.loc[(AR_all['primeprobecontext']== 34)|(AR_all['primeprobecontext']==43)]

    #separate ARC trials according to contexts
    ARC_1122 = ARC_all.loc[(ARC_all['primeprobecontext']== 11)|(ARC_all['primeprobecontext']==22)]

    ARC_1221 = ARC_all.loc[(ARC_all['primeprobecontext']== 12)|(ARC_all['primeprobecontext']==21)]

    ARC_3344 = ARC_all.loc[(ARC_all['primeprobecontext']== 33)|(ARC_all['primeprobecontext']==44)]

    ARC_3443 = ARC_all.loc[(ARC_all['primeprobecontext']== 34)|(ARC_all['primeprobecontext']==43)]


    #preprocess IR trials with contexts 1122
    #prime_fehler
    IR_correct_abs_1122_prime = IR_1122['primestimmuliresponse.corr'].sum()
    IR_wrong_abs_1122_prime = 16 - IR_correct_abs_1122_prime
    IR_errorrate_1122_prime = IR_wrong_abs_1122_prime/16

    #probe_fehler
    IR_pureprobe_1122 = IR_1122.loc[IR_1122['primestimmuliresponse.corr']>0]
    IR_correct_abs_1122_probe = IR_pureprobe_1122['probestimuliresponse.corr'].sum()
    IR_wrong_abs_1122_probe = IR_correct_abs_1122_prime - IR_correct_abs_1122_probe
    IR_errorrate_1122_probe = IR_wrong_abs_1122_probe/IR_correct_abs_1122_prime

    #prime_rt (minus the time of the presentation of cue, 500 CSI and stimuli, which is 0.828s)

    IR_RT_1122_prime = IR_pureprobe_1122['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IR_correctprobe_1122 = IR_pureprobe_1122.loc[IR_pureprobe_1122['probestimuliresponse.corr']>0]

    IR_RT_1122_probe = IR_correctprobe_1122['probestimuliresponse.rt'].mean()-0.828

    #specify errors (excluding serious mistakes, namely, too slow, too fast and wrong key, they all called "probewrongkey" here)
    IR_Attprime_1122 = 0
    IR_Ignprime_1122 = 0
    IR_Ignprobe_1122 = 0
    IR_neutral_1122 = 0
    IR_wrong_abs_1122_probe_trials = IR_pureprobe_1122.loc[IR_pureprobe_1122['probestimuliresponse.corr']== 0]
    m = int(IR_wrong_abs_1122_probe)
    for i in range(1,m+1):
        u = IR_wrong_abs_1122_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IR_wrong_abs_1122_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IR_wrong_abs_1122_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IR_wrong_abs_1122_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IR_wrong_abs_1122_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IR_Attprime_1122 = IR_Attprime_1122 + 1
            elif s == r:
             IR_Ignprime_1122 = IR_Ignprime_1122 + 1
            elif s == t:
             IR_Ignprobe_1122 = IR_Ignprobe_1122 + 1
            else:
             IR_neutral_1122 = IR_neutral_1122 + 1



    #preprocess IRC trials with contexts 1122
    #prime_fehler
    IRC_correct_abs_1122_prime = IRC_1122['primestimmuliresponse.corr'].sum()
    IRC_wrong_abs_1122_prime = 16 - IRC_correct_abs_1122_prime
    IRC_errorrate_1122_prime = IRC_wrong_abs_1122_prime/16

    #probe_fehler
    IRC_pureprobe_1122 = IRC_1122.loc[IRC_1122['primestimmuliresponse.corr']>0]
    IRC_correct_abs_1122_probe = IRC_pureprobe_1122['probestimuliresponse.corr'].sum()
    IRC_wrong_abs_1122_probe = IRC_correct_abs_1122_prime - IRC_correct_abs_1122_probe
    IRC_errorrate_1122_probe = IRC_wrong_abs_1122_probe/IRC_correct_abs_1122_prime

    #prime_rt

    IRC_RT_1122_prime = IRC_pureprobe_1122['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IRC_correctprobe_1122 = IRC_pureprobe_1122.loc[IRC_pureprobe_1122['probestimuliresponse.corr']>0]

    IRC_RT_1122_probe = IRC_correctprobe_1122['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IRC_Attprime_1122 = 0
    IRC_Ignprime_1122 = 0
    IRC_Ignprobe_1122 = 0
    IRC_neutral_1122 = 0
    IRC_wrong_abs_1122_probe_trials = IRC_pureprobe_1122.loc[IRC_pureprobe_1122['probestimuliresponse.corr']== 0]
    m = int(IRC_wrong_abs_1122_probe)
    for i in range(1,m+1):
        u = IRC_wrong_abs_1122_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IRC_wrong_abs_1122_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IRC_wrong_abs_1122_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IRC_wrong_abs_1122_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IRC_wrong_abs_1122_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IRC_Attprime_1122 = IRC_Attprime_1122 + 1
            elif s == r:
             IRC_Ignprime_1122 = IRC_Ignprime_1122 + 1
            elif s == t:
             IRC_Ignprobe_1122 = IRC_Ignprobe_1122 + 1
            else:
             IRC_neutral_1122 = IRC_neutral_1122 + 1


    #preprocess AR trials with contexts 1122
    #prime_fehler
    AR_correct_abs_1122_prime = AR_1122['primestimmuliresponse.corr'].sum()
    AR_wrong_abs_1122_prime = 16 - AR_correct_abs_1122_prime
    AR_errorrate_1122_prime = AR_wrong_abs_1122_prime/16

    #probe_fehler
    AR_pureprobe_1122 = AR_1122.loc[AR_1122['primestimmuliresponse.corr']>0]
    AR_correct_abs_1122_probe = AR_pureprobe_1122['probestimuliresponse.corr'].sum()
    AR_wrong_abs_1122_probe = AR_correct_abs_1122_prime - AR_correct_abs_1122_probe
    AR_errorrate_1122_probe = AR_wrong_abs_1122_probe/AR_correct_abs_1122_prime

    #prime_rt

    AR_RT_1122_prime = AR_pureprobe_1122['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    AR_correctprobe_1122 = AR_pureprobe_1122.loc[AR_pureprobe_1122['probestimuliresponse.corr']>0]

    AR_RT_1122_probe = AR_correctprobe_1122['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    AR_Attprime_1122 = 0
    AR_Ignprime_1122 = 0
    AR_Ignprobe_1122 = 0
    AR_neutral_1122 = 0
    AR_wrong_abs_1122_probe_trials = AR_pureprobe_1122.loc[AR_pureprobe_1122['probestimuliresponse.corr']== 0]
    m = int(AR_wrong_abs_1122_probe)
    for i in range(1,m+1):
        u = AR_wrong_abs_1122_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = AR_wrong_abs_1122_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = AR_wrong_abs_1122_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = AR_wrong_abs_1122_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = AR_wrong_abs_1122_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             AR_Attprime_1122 = AR_Attprime_1122 + 1
            elif s == r:
             AR_Ignprime_1122 = AR_Ignprime_1122 + 1
            elif s == t:
             AR_Ignprobe_1122 = AR_Ignprobe_1122 + 1
            else:
             AR_neutral_1122 = AR_neutral_1122 + 1


    #preprocess ARC trials with contexts 1122
    #prime_fehler
    ARC_correct_abs_1122_prime = ARC_1122['primestimmuliresponse.corr'].sum()
    ARC_wrong_abs_1122_prime = 16 - ARC_correct_abs_1122_prime
    ARC_errorrate_1122_prime = ARC_wrong_abs_1122_prime/16

    #probe_fehler
    ARC_pureprobe_1122 = ARC_1122.loc[ARC_1122['primestimmuliresponse.corr']>0]
    ARC_correct_abs_1122_probe = ARC_pureprobe_1122['probestimuliresponse.corr'].sum()
    ARC_wrong_abs_1122_probe = ARC_correct_abs_1122_prime - ARC_correct_abs_1122_probe
    ARC_errorrate_1122_probe = ARC_wrong_abs_1122_probe/ARC_correct_abs_1122_prime

    #prime_rt

    ARC_RT_1122_prime = ARC_pureprobe_1122['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    ARC_correctprobe_1122 = ARC_pureprobe_1122.loc[ARC_pureprobe_1122['probestimuliresponse.corr']>0]

    ARC_RT_1122_probe = ARC_correctprobe_1122['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    ARC_Attprime_1122 = 0
    ARC_Ignprime_1122 = 0
    ARC_Ignprobe_1122 = 0
    ARC_neutral_1122 = 0
    ARC_wrong_abs_1122_probe_trials = ARC_pureprobe_1122.loc[ARC_pureprobe_1122['probestimuliresponse.corr']== 0]
    m = int(ARC_wrong_abs_1122_probe)
    for i in range(1,m+1):
        u = ARC_wrong_abs_1122_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = ARC_wrong_abs_1122_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = ARC_wrong_abs_1122_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = ARC_wrong_abs_1122_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = ARC_wrong_abs_1122_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             ARC_Attprime_1122 = ARC_Attprime_1122 + 1
            elif s == r:
             ARC_Ignprime_1122 = ARC_Ignprime_1122 + 1
            elif s == t:
             ARC_Ignprobe_1122 = ARC_Ignprobe_1122 + 1
            else:
             ARC_neutral_1122 = ARC_neutral_1122 + 1




    #preprocess IR trials with contexts 1221
    #prime_fehler
    IR_correct_abs_1221_prime = IR_1221['primestimmuliresponse.corr'].sum()
    IR_wrong_abs_1221_prime = 16 - IR_correct_abs_1221_prime
    IR_errorrate_1221_prime = IR_wrong_abs_1221_prime/16

    #probe_fehler
    IR_pureprobe_1221 = IR_1221.loc[IR_1221['primestimmuliresponse.corr']>0]
    IR_correct_abs_1221_probe = IR_pureprobe_1221['probestimuliresponse.corr'].sum()
    IR_wrong_abs_1221_probe = IR_correct_abs_1221_prime - IR_correct_abs_1221_probe
    IR_errorrate_1221_probe = IR_wrong_abs_1221_probe/IR_correct_abs_1221_prime

    #prime_rt

    IR_RT_1221_prime = IR_pureprobe_1221['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IR_correctprobe_1221 = IR_pureprobe_1221.loc[IR_pureprobe_1221['probestimuliresponse.corr']>0]

    IR_RT_1221_probe = IR_correctprobe_1221['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IR_Attprime_1221 = 0
    IR_Ignprime_1221 = 0
    IR_Ignprobe_1221 = 0
    IR_neutral_1221 = 0
    IR_wrong_abs_1221_probe_trials = IR_pureprobe_1221.loc[IR_pureprobe_1221['probestimuliresponse.corr']== 0]
    m = int(IR_wrong_abs_1221_probe)
    for i in range(1,m+1):
        u = IR_wrong_abs_1221_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IR_wrong_abs_1221_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IR_wrong_abs_1221_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IR_wrong_abs_1221_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IR_wrong_abs_1221_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IR_Attprime_1221 = IR_Attprime_1221 + 1
            elif s == r:
             IR_Ignprime_1221 = IR_Ignprime_1221 + 1
            elif s == t:
             IR_Ignprobe_1221 = IR_Ignprobe_1221 + 1
            else:
             IR_neutral_1221 = IR_neutral_1221 + 1



    #preprocess IRC trials with contexts 1221
    #prime_fehler
    IRC_correct_abs_1221_prime = IRC_1221['primestimmuliresponse.corr'].sum()
    IRC_wrong_abs_1221_prime = 16 - IRC_correct_abs_1221_prime
    IRC_errorrate_1221_prime = IRC_wrong_abs_1221_prime/16

    #probe_fehler
    IRC_pureprobe_1221 = IRC_1221.loc[IRC_1221['primestimmuliresponse.corr']>0]
    IRC_correct_abs_1221_probe = IRC_pureprobe_1221['probestimuliresponse.corr'].sum()
    IRC_wrong_abs_1221_probe = IRC_correct_abs_1221_prime - IRC_correct_abs_1221_probe
    IRC_errorrate_1221_probe = IRC_wrong_abs_1221_probe/IRC_correct_abs_1221_prime

    #prime_rt

    IRC_RT_1221_prime = IRC_pureprobe_1221['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IRC_correctprobe_1221 = IRC_pureprobe_1221.loc[IRC_pureprobe_1221['probestimuliresponse.corr']>0]

    IRC_RT_1221_probe = IRC_correctprobe_1221['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IRC_Attprime_1221 = 0
    IRC_Ignprime_1221 = 0
    IRC_Ignprobe_1221 = 0
    IRC_neutral_1221 = 0
    IRC_wrong_abs_1221_probe_trials = IRC_pureprobe_1221.loc[IRC_pureprobe_1221['probestimuliresponse.corr']== 0]
    m = int(IRC_wrong_abs_1221_probe)
    for i in range(1,m+1):
        u = IRC_wrong_abs_1221_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IRC_wrong_abs_1221_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IRC_wrong_abs_1221_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IRC_wrong_abs_1221_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IRC_wrong_abs_1221_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IRC_Attprime_1221 = IRC_Attprime_1221 + 1
            elif s == r:
             IRC_Ignprime_1221 = IRC_Ignprime_1221 + 1
            elif s == t:
             IRC_Ignprobe_1221 = IRC_Ignprobe_1221 + 1
            else:
             IRC_neutral_1221 = IRC_neutral_1221 + 1


    #preprocess AR trials with contexts 1221
    #prime_fehler
    AR_correct_abs_1221_prime = AR_1221['primestimmuliresponse.corr'].sum()
    AR_wrong_abs_1221_prime = 16 - AR_correct_abs_1221_prime
    AR_errorrate_1221_prime = AR_wrong_abs_1221_prime/16

    #probe_fehler
    AR_pureprobe_1221 = AR_1221.loc[AR_1221['primestimmuliresponse.corr']>0]
    AR_correct_abs_1221_probe = AR_pureprobe_1221['probestimuliresponse.corr'].sum()
    AR_wrong_abs_1221_probe = AR_correct_abs_1221_prime - AR_correct_abs_1221_probe
    AR_errorrate_1221_probe = AR_wrong_abs_1221_probe/AR_correct_abs_1221_prime

    #prime_rt

    AR_RT_1221_prime = AR_pureprobe_1221['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    AR_correctprobe_1221 = AR_pureprobe_1221.loc[AR_pureprobe_1221['probestimuliresponse.corr']>0]

    AR_RT_1221_probe = AR_correctprobe_1221['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    AR_Attprime_1221 = 0
    AR_Ignprime_1221 = 0
    AR_Ignprobe_1221 = 0
    AR_neutral_1221 = 0
    AR_wrong_abs_1221_probe_trials = AR_pureprobe_1221.loc[AR_pureprobe_1221['probestimuliresponse.corr']== 0]
    m = int(AR_wrong_abs_1221_probe)
    for i in range(1,m+1):
        u = AR_wrong_abs_1221_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = AR_wrong_abs_1221_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = AR_wrong_abs_1221_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = AR_wrong_abs_1221_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = AR_wrong_abs_1221_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             AR_Attprime_1221 = AR_Attprime_1221 + 1
            elif s == r:
             AR_Ignprime_1221 = AR_Ignprime_1221 + 1
            elif s == t:
             AR_Ignprobe_1221 = AR_Ignprobe_1221 + 1
            else:
             AR_neutral_1221 = AR_neutral_1221 + 1


    #preprocess ARC trials with contexts 1221
    #prime_fehler
    ARC_correct_abs_1221_prime = ARC_1221['primestimmuliresponse.corr'].sum()
    ARC_wrong_abs_1221_prime = 16 - ARC_correct_abs_1221_prime
    ARC_errorrate_1221_prime = ARC_wrong_abs_1221_prime/16

    #probe_fehler
    ARC_pureprobe_1221 = ARC_1221.loc[ARC_1221['primestimmuliresponse.corr']>0]
    ARC_correct_abs_1221_probe = ARC_pureprobe_1221['probestimuliresponse.corr'].sum()
    ARC_wrong_abs_1221_probe = ARC_correct_abs_1221_prime - ARC_correct_abs_1221_probe
    ARC_errorrate_1221_probe = ARC_wrong_abs_1221_probe/ARC_correct_abs_1221_prime

    #prime_rt

    ARC_RT_1221_prime = ARC_pureprobe_1221['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    ARC_correctprobe_1221 = ARC_pureprobe_1221.loc[ARC_pureprobe_1221['probestimuliresponse.corr']>0]

    ARC_RT_1221_probe = ARC_correctprobe_1221['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    ARC_Attprime_1221 = 0
    ARC_Ignprime_1221 = 0
    ARC_Ignprobe_1221 = 0
    ARC_neutral_1221 = 0
    ARC_wrong_abs_1221_probe_trials = ARC_pureprobe_1221.loc[ARC_pureprobe_1221['probestimuliresponse.corr']== 0]
    m = int(ARC_wrong_abs_1221_probe)
    for i in range(1,m+1):
        u = ARC_wrong_abs_1221_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = ARC_wrong_abs_1221_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = ARC_wrong_abs_1221_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = ARC_wrong_abs_1221_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = ARC_wrong_abs_1221_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             ARC_Attprime_1221 = ARC_Attprime_1221 + 1
            elif s == r:
             ARC_Ignprime_1221 = ARC_Ignprime_1221 + 1
            elif s == t:
             ARC_Ignprobe_1221 = ARC_Ignprobe_1221 + 1
            else:
             ARC_neutral_1221 = ARC_neutral_1221 + 1

    #preprocess IR trials with contexts 3344
    #prime_fehler
    IR_correct_abs_3344_prime = IR_3344['primestimmuliresponse.corr'].sum()
    IR_wrong_abs_3344_prime = 16 - IR_correct_abs_3344_prime
    IR_errorrate_3344_prime = IR_wrong_abs_3344_prime/16

    #probe_fehler
    IR_pureprobe_3344 = IR_3344.loc[IR_3344['primestimmuliresponse.corr']>0]
    IR_correct_abs_3344_probe = IR_pureprobe_3344['probestimuliresponse.corr'].sum()
    IR_wrong_abs_3344_probe = IR_correct_abs_3344_prime - IR_correct_abs_3344_probe
    IR_errorrate_3344_probe = IR_wrong_abs_3344_probe/IR_correct_abs_3344_prime

    #prime_rt

    IR_RT_3344_prime = IR_pureprobe_3344['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IR_correctprobe_3344 = IR_pureprobe_3344.loc[IR_pureprobe_3344['probestimuliresponse.corr']>0]

    IR_RT_3344_probe = IR_correctprobe_3344['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IR_Attprime_3344 = 0
    IR_Ignprime_3344 = 0
    IR_Ignprobe_3344 = 0
    IR_neutral_3344 = 0
    IR_wrong_abs_3344_probe_trials = IR_pureprobe_3344.loc[IR_pureprobe_3344['probestimuliresponse.corr']== 0]
    m = int(IR_wrong_abs_3344_probe)
    for i in range(1,m+1):
        u = IR_wrong_abs_3344_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IR_wrong_abs_3344_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IR_wrong_abs_3344_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IR_wrong_abs_3344_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IR_wrong_abs_3344_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IR_Attprime_3344 = IR_Attprime_3344 + 1
            elif s == r:
             IR_Ignprime_3344 = IR_Ignprime_3344 + 1
            elif s == t:
             IR_Ignprobe_3344 = IR_Ignprobe_3344 + 1
            else:
             IR_neutral_3344 = IR_neutral_3344 + 1



    #preprocess IRC trials with contexts 3344
    #prime_fehler
    IRC_correct_abs_3344_prime = IRC_3344['primestimmuliresponse.corr'].sum()
    IRC_wrong_abs_3344_prime = 16 - IRC_correct_abs_3344_prime
    IRC_errorrate_3344_prime = IRC_wrong_abs_3344_prime/16

    #probe_fehler
    IRC_pureprobe_3344 = IRC_3344.loc[IRC_3344['primestimmuliresponse.corr']>0]
    IRC_correct_abs_3344_probe = IRC_pureprobe_3344['probestimuliresponse.corr'].sum()
    IRC_wrong_abs_3344_probe = IRC_correct_abs_3344_prime - IRC_correct_abs_3344_probe
    IRC_errorrate_3344_probe = IRC_wrong_abs_3344_probe/IRC_correct_abs_3344_prime

    #prime_rt

    IRC_RT_3344_prime = IRC_pureprobe_3344['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IRC_correctprobe_3344 = IRC_pureprobe_3344.loc[IRC_pureprobe_3344['probestimuliresponse.corr']>0]

    IRC_RT_3344_probe = IRC_correctprobe_3344['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IRC_Attprime_3344 = 0
    IRC_Ignprime_3344 = 0
    IRC_Ignprobe_3344 = 0
    IRC_neutral_3344 = 0
    IRC_wrong_abs_3344_probe_trials = IRC_pureprobe_3344.loc[IRC_pureprobe_3344['probestimuliresponse.corr']== 0]
    m = int(IRC_wrong_abs_3344_probe)
    for i in range(1,m+1):
        u = IRC_wrong_abs_3344_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IRC_wrong_abs_3344_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IRC_wrong_abs_3344_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IRC_wrong_abs_3344_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IRC_wrong_abs_3344_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IRC_Attprime_3344 = IRC_Attprime_3344 + 1
            elif s == r:
             IRC_Ignprime_3344 = IRC_Ignprime_3344 + 1
            elif s == t:
             IRC_Ignprobe_3344 = IRC_Ignprobe_3344 + 1
            else:
             IRC_neutral_3344 = IRC_neutral_3344 + 1


    #preprocess AR trials with contexts 3344
    #prime_fehler
    AR_correct_abs_3344_prime = AR_3344['primestimmuliresponse.corr'].sum()
    AR_wrong_abs_3344_prime = 16 - AR_correct_abs_3344_prime
    AR_errorrate_3344_prime = AR_wrong_abs_3344_prime/16

    #probe_fehler
    AR_pureprobe_3344 = AR_3344.loc[AR_3344['primestimmuliresponse.corr']>0]
    AR_correct_abs_3344_probe = AR_pureprobe_3344['probestimuliresponse.corr'].sum()
    AR_wrong_abs_3344_probe = AR_correct_abs_3344_prime - AR_correct_abs_3344_probe
    AR_errorrate_3344_probe = AR_wrong_abs_3344_probe/AR_correct_abs_3344_prime

    #prime_rt

    AR_RT_3344_prime = AR_pureprobe_3344['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    AR_correctprobe_3344 = AR_pureprobe_3344.loc[AR_pureprobe_3344['probestimuliresponse.corr']>0]

    AR_RT_3344_probe = AR_correctprobe_3344['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    AR_Attprime_3344 = 0
    AR_Ignprime_3344 = 0
    AR_Ignprobe_3344 = 0
    AR_neutral_3344 = 0
    AR_wrong_abs_3344_probe_trials = AR_pureprobe_3344.loc[AR_pureprobe_3344['probestimuliresponse.corr']== 0]
    m = int(AR_wrong_abs_3344_probe)
    for i in range(1,m+1):
        u = AR_wrong_abs_3344_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = AR_wrong_abs_3344_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = AR_wrong_abs_3344_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = AR_wrong_abs_3344_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = AR_wrong_abs_3344_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             AR_Attprime_3344 = AR_Attprime_3344 + 1
            elif s == r:
             AR_Ignprime_3344 = AR_Ignprime_3344 + 1
            elif s == t:
             AR_Ignprobe_3344 = AR_Ignprobe_3344 + 1
            else:
             AR_neutral_3344 = AR_neutral_3344 + 1


    #preprocess ARC trials with contexts 3344
    #prime_fehler
    ARC_correct_abs_3344_prime = ARC_3344['primestimmuliresponse.corr'].sum()
    ARC_wrong_abs_3344_prime = 16 - ARC_correct_abs_3344_prime
    ARC_errorrate_3344_prime = ARC_wrong_abs_3344_prime/16

    #probe_fehler
    ARC_pureprobe_3344 = ARC_3344.loc[ARC_3344['primestimmuliresponse.corr']>0]
    ARC_correct_abs_3344_probe = ARC_pureprobe_3344['probestimuliresponse.corr'].sum()
    ARC_wrong_abs_3344_probe = ARC_correct_abs_3344_prime - ARC_correct_abs_3344_probe
    ARC_errorrate_3344_probe = ARC_wrong_abs_3344_probe/ARC_correct_abs_3344_prime

    #prime_rt

    ARC_RT_3344_prime = ARC_pureprobe_3344['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    ARC_correctprobe_3344 = ARC_pureprobe_3344.loc[ARC_pureprobe_3344['probestimuliresponse.corr']>0]

    ARC_RT_3344_probe = ARC_correctprobe_3344['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    ARC_Attprime_3344 = 0
    ARC_Ignprime_3344 = 0
    ARC_Ignprobe_3344 = 0
    ARC_neutral_3344 = 0
    ARC_wrong_abs_3344_probe_trials = ARC_pureprobe_3344.loc[ARC_pureprobe_3344['probestimuliresponse.corr']== 0]
    m = int(ARC_wrong_abs_3344_probe)
    for i in range(1,m+1):
        u = ARC_wrong_abs_3344_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = ARC_wrong_abs_3344_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = ARC_wrong_abs_3344_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = ARC_wrong_abs_3344_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = ARC_wrong_abs_3344_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             ARC_Attprime_3344 = ARC_Attprime_3344 + 1
            elif s == r:
             ARC_Ignprime_3344 = ARC_Ignprime_3344 + 1
            elif s == t:
             ARC_Ignprobe_3344 = ARC_Ignprobe_3344 + 1
            else:
             ARC_neutral_3344 = ARC_neutral_3344 + 1

    #preprocess IR trials with contexts 3443
    #prime_fehler
    IR_correct_abs_3443_prime = IR_3443['primestimmuliresponse.corr'].sum()
    IR_wrong_abs_3443_prime = 16 - IR_correct_abs_3443_prime
    IR_errorrate_3443_prime = IR_wrong_abs_3443_prime/16

    #probe_fehler
    IR_pureprobe_3443 = IR_3443.loc[IR_3443['primestimmuliresponse.corr']>0]
    IR_correct_abs_3443_probe = IR_pureprobe_3443['probestimuliresponse.corr'].sum()
    IR_wrong_abs_3443_probe = IR_correct_abs_3443_prime - IR_correct_abs_3443_probe
    IR_errorrate_3443_probe = IR_wrong_abs_3443_probe/IR_correct_abs_3443_prime

    #prime_rt

    IR_RT_3443_prime = IR_pureprobe_3443['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IR_correctprobe_3443 = IR_pureprobe_3443.loc[IR_pureprobe_3443['probestimuliresponse.corr']>0]

    IR_RT_3443_probe = IR_correctprobe_3443['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IR_Attprime_3443 = 0
    IR_Ignprime_3443 = 0
    IR_Ignprobe_3443 = 0
    IR_neutral_3443 = 0
    IR_wrong_abs_3443_probe_trials = IR_pureprobe_3443.loc[IR_pureprobe_3443['probestimuliresponse.corr']== 0]
    m = int(IR_wrong_abs_3443_probe)
    for i in range(1,m+1):
        u = IR_wrong_abs_3443_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IR_wrong_abs_3443_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IR_wrong_abs_3443_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IR_wrong_abs_3443_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IR_wrong_abs_3443_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IR_Attprime_3443 = IR_Attprime_3443 + 1
            elif s == r:
             IR_Ignprime_3443 = IR_Ignprime_3443 + 1
            elif s == t:
             IR_Ignprobe_3443 = IR_Ignprobe_3443 + 1
            else:
             IR_neutral_3443 = IR_neutral_3443 + 1



    #preprocess IRC trials with contexts 3443
    #prime_fehler
    IRC_correct_abs_3443_prime = IRC_3443['primestimmuliresponse.corr'].sum()
    IRC_wrong_abs_3443_prime = 16 - IRC_correct_abs_3443_prime
    IRC_errorrate_3443_prime = IRC_wrong_abs_3443_prime/16

    #probe_fehler
    IRC_pureprobe_3443 = IRC_3443.loc[IRC_3443['primestimmuliresponse.corr']>0]
    IRC_correct_abs_3443_probe = IRC_pureprobe_3443['probestimuliresponse.corr'].sum()
    IRC_wrong_abs_3443_probe = IRC_correct_abs_3443_prime - IRC_correct_abs_3443_probe
    IRC_errorrate_3443_probe = IRC_wrong_abs_3443_probe/IRC_correct_abs_3443_prime

    #prime_rt

    IRC_RT_3443_prime = IRC_pureprobe_3443['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    IRC_correctprobe_3443 = IRC_pureprobe_3443.loc[IRC_pureprobe_3443['probestimuliresponse.corr']>0]

    IRC_RT_3443_probe = IRC_correctprobe_3443['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    IRC_Attprime_3443 = 0
    IRC_Ignprime_3443 = 0
    IRC_Ignprobe_3443 = 0
    IRC_neutral_3443 = 0
    IRC_wrong_abs_3443_probe_trials = IRC_pureprobe_3443.loc[IRC_pureprobe_3443['probestimuliresponse.corr']== 0]
    m = int(IRC_wrong_abs_3443_probe)
    for i in range(1,m+1):
        u = IRC_wrong_abs_3443_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = IRC_wrong_abs_3443_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = IRC_wrong_abs_3443_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = IRC_wrong_abs_3443_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = IRC_wrong_abs_3443_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             IRC_Attprime_3443 = IRC_Attprime_3443 + 1
            elif s == r:
             IRC_Ignprime_3443 = IRC_Ignprime_3443 + 1
            elif s == t:
             IRC_Ignprobe_3443 = IRC_Ignprobe_3443 + 1
            else:
             IRC_neutral_3443 = IRC_neutral_3443 + 1


    #preprocess AR trials with contexts 3443
    #prime_fehler
    AR_correct_abs_3443_prime = AR_3443['primestimmuliresponse.corr'].sum()
    AR_wrong_abs_3443_prime = 16 - AR_correct_abs_3443_prime
    AR_errorrate_3443_prime = AR_wrong_abs_3443_prime/16

    #probe_fehler
    AR_pureprobe_3443 = AR_3443.loc[AR_3443['primestimmuliresponse.corr']>0]
    AR_correct_abs_3443_probe = AR_pureprobe_3443['probestimuliresponse.corr'].sum()
    AR_wrong_abs_3443_probe = AR_correct_abs_3443_prime - AR_correct_abs_3443_probe
    AR_errorrate_3443_probe = AR_wrong_abs_3443_probe/AR_correct_abs_3443_prime

    #prime_rt

    AR_RT_3443_prime = AR_pureprobe_3443['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    AR_correctprobe_3443 = AR_pureprobe_3443.loc[AR_pureprobe_3443['probestimuliresponse.corr']>0]

    AR_RT_3443_probe = AR_correctprobe_3443['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    AR_Attprime_3443 = 0
    AR_Ignprime_3443 = 0
    AR_Ignprobe_3443 = 0
    AR_neutral_3443 = 0
    AR_wrong_abs_3443_probe_trials = AR_pureprobe_3443.loc[AR_pureprobe_3443['probestimuliresponse.corr']== 0]
    m = int(AR_wrong_abs_3443_probe)
    for i in range(1,m+1):
        u = AR_wrong_abs_3443_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = AR_wrong_abs_3443_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = AR_wrong_abs_3443_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = AR_wrong_abs_3443_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = AR_wrong_abs_3443_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             AR_Attprime_3443 = AR_Attprime_3443 + 1
            elif s == r:
             AR_Ignprime_3443 = AR_Ignprime_3443 + 1
            elif s == t:
             AR_Ignprobe_3443 = AR_Ignprobe_3443 + 1
            else:
             AR_neutral_3443 = AR_neutral_3443 + 1


    #preprocess ARC trials with contexts 3443
    #prime_fehler
    ARC_correct_abs_3443_prime = ARC_3443['primestimmuliresponse.corr'].sum()
    ARC_wrong_abs_3443_prime = 16 - ARC_correct_abs_3443_prime
    ARC_errorrate_3443_prime = ARC_wrong_abs_3443_prime/16

    #probe_fehler
    ARC_pureprobe_3443 = ARC_3443.loc[ARC_3443['primestimmuliresponse.corr']>0]
    ARC_correct_abs_3443_probe = ARC_pureprobe_3443['probestimuliresponse.corr'].sum()
    ARC_wrong_abs_3443_probe = ARC_correct_abs_3443_prime - ARC_correct_abs_3443_probe
    ARC_errorrate_3443_probe = ARC_wrong_abs_3443_probe/ARC_correct_abs_3443_prime

    #prime_rt

    ARC_RT_3443_prime = ARC_pureprobe_3443['primestimmuliresponse.rt'].mean()-0.828

    #probe_rt
    ARC_correctprobe_3443 = ARC_pureprobe_3443.loc[ARC_pureprobe_3443['probestimuliresponse.corr']>0]

    ARC_RT_3443_probe = ARC_correctprobe_3443['probestimuliresponse.rt'].mean()-0.828

    #specify errors
    ARC_Attprime_3443 = 0
    ARC_Ignprime_3443 = 0
    ARC_Ignprobe_3443 = 0
    ARC_neutral_3443 = 0
    ARC_wrong_abs_3443_probe_trials = ARC_pureprobe_3443.loc[ARC_pureprobe_3443['probestimuliresponse.corr']== 0]
    m = int(ARC_wrong_abs_3443_probe)
    for i in range(1,m+1):
        u = ARC_wrong_abs_3443_probe_trials['probewrongkey'][i-1:i]
        u = np.array(u)
        u = u.tolist()
        if u == ['no']:
            s = ARC_wrong_abs_3443_probe_trials['probestimuliresponse.keys'][i-1:i]
            s = np.array(s)
            s = s.tolist()
            q = ARC_wrong_abs_3443_probe_trials['primestimmuliresponse.keys'][i-1:i]
            q = np.array(q)
            q = q.tolist()
            r = ARC_wrong_abs_3443_probe_trials['primedis'][i-1:i]
            r = np.array(r)
            r = r.tolist()
            t = ARC_wrong_abs_3443_probe_trials['probedis'][i-1:i]
            t = np.array(t)
            t = t.tolist()
            if s == q:
             ARC_Attprime_3443 = ARC_Attprime_3443 + 1
            elif s == r:
             ARC_Ignprime_3443 = ARC_Ignprime_3443 + 1
            elif s == t:
             ARC_Ignprobe_3443 = ARC_Ignprobe_3443 + 1
            else:
             ARC_neutral_3443 = ARC_neutral_3443 + 1


    #save the results
    result = result.append(pd.DataFrame({'filename':[f],'Gender':[gender],'age':[age],'IR_correct_abs_1122_prime':[IR_correct_abs_1122_prime],'IR_wrong_abs_1122_prime':[IR_wrong_abs_1122_prime],'IR_errorrate_1122_prime':[IR_errorrate_1122_prime],'IR_RT_1122_prime':[IR_RT_1122_prime],'IR_correct_abs_1122_probe':[IR_correct_abs_1122_probe],'IR_wrong_abs_1122_probe':[IR_wrong_abs_1122_probe],'IR_errorrate_1122_probe':[IR_errorrate_1122_probe],'IR_RT_1122_probe':[IR_RT_1122_probe],'IR_Attprime_1122':[IR_Attprime_1122],'IR_Ignprime_1122':[IR_Ignprime_1122],'IR_Ignprobe_1122':[IR_Ignprobe_1122],'IR_neutral_1122':[IR_neutral_1122],'IRC_correct_abs_1122_prime':[IRC_correct_abs_1122_prime],'IRC_wrong_abs_1122_prime':[IRC_wrong_abs_1122_prime],'IRC_errorrate_1122_prime':[IRC_errorrate_1122_prime],'IRC_RT_1122_prime':[IRC_RT_1122_prime],'IRC_correct_abs_1122_probe':[IRC_correct_abs_1122_probe],'IRC_wrong_abs_1122_probe':[IRC_wrong_abs_1122_probe],'IRC_errorrate_1122_probe':[IRC_errorrate_1122_probe],'IRC_RT_1122_probe':[IRC_RT_1122_probe],'IRC_Attprime_1122':[IRC_Attprime_1122],'IRC_Ignprime_1122':[IRC_Ignprime_1122],'IRC_Ignprobe_1122':[IRC_Ignprobe_1122],'IRC_neutral_1122':[IRC_neutral_1122],'AR_correct_abs_1122_prime':[AR_correct_abs_1122_prime],'AR_wrong_abs_1122_prime':[AR_wrong_abs_1122_prime],'AR_errorrate_1122_prime':[AR_errorrate_1122_prime],'AR_RT_1122_prime':[AR_RT_1122_prime],'AR_correct_abs_1122_probe':[AR_correct_abs_1122_probe],'AR_wrong_abs_1122_probe':[AR_wrong_abs_1122_probe],'AR_errorrate_1122_probe':[AR_errorrate_1122_probe],'AR_RT_1122_probe':[AR_RT_1122_probe],'AR_Attprime_1122':[AR_Attprime_1122],'AR_Ignprime_1122':[AR_Ignprime_1122],'AR_Ignprobe_1122':[AR_Ignprobe_1122],'AR_neutral_1122':[AR_neutral_1122],'ARC_correct_abs_1122_prime':[ARC_correct_abs_1122_prime],'ARC_wrong_abs_1122_prime':[ARC_wrong_abs_1122_prime],'ARC_errorrate_1122_prime':[ARC_errorrate_1122_prime],'ARC_RT_1122_prime':[ARC_RT_1122_prime],'ARC_correct_abs_1122_probe':[ARC_correct_abs_1122_probe],'ARC_wrong_abs_1122_probe':[ARC_wrong_abs_1122_probe],'ARC_errorrate_1122_probe':[ARC_errorrate_1122_probe],'ARC_RT_1122_probe':[ARC_RT_1122_probe],'ARC_Attprime_1122':[ARC_Attprime_1122],'ARC_Ignprime_1122':[ARC_Ignprime_1122],'ARC_Ignprobe_1122':[ARC_Ignprobe_1122],'ARC_neutral_1122':[ARC_neutral_1122],'IR_correct_abs_1221_prime':[IR_correct_abs_1221_prime],'IR_wrong_abs_1221_prime':[IR_wrong_abs_1221_prime],'IR_errorrate_1221_prime':[IR_errorrate_1221_prime],'IR_RT_1221_prime':[IR_RT_1221_prime],'IR_correct_abs_1221_probe':[IR_correct_abs_1221_probe],'IR_wrong_abs_1221_probe':[IR_wrong_abs_1221_probe],'IR_errorrate_1221_probe':[IR_errorrate_1221_probe],'IR_RT_1221_probe':[IR_RT_1221_probe],'IR_Attprime_1221':[IR_Attprime_1221],'IR_Ignprime_1221':[IR_Ignprime_1221],'IR_Ignprobe_1221':[IR_Ignprobe_1221],'IR_neutral_1221':[IR_neutral_1221],'IRC_correct_abs_1221_prime':[IRC_correct_abs_1221_prime],'IRC_wrong_abs_1221_prime':[IRC_wrong_abs_1221_prime],'IRC_errorrate_1221_prime':[IRC_errorrate_1221_prime],'IRC_RT_1221_prime':[IRC_RT_1221_prime],'IRC_correct_abs_1221_probe':[IRC_correct_abs_1221_probe],'IRC_wrong_abs_1221_probe':[IRC_wrong_abs_1221_probe],'IRC_errorrate_1221_probe':[IRC_errorrate_1221_probe],'IRC_RT_1221_probe':[IRC_RT_1221_probe],'IRC_Attprime_1221':[IRC_Attprime_1221],'IRC_Ignprime_1221':[IRC_Ignprime_1221],'IRC_Ignprobe_1221':[IRC_Ignprobe_1221],'IRC_neutral_1221':[IRC_neutral_1221],'AR_correct_abs_1221_prime':[AR_correct_abs_1221_prime],'AR_wrong_abs_1221_prime':[AR_wrong_abs_1221_prime],'AR_errorrate_1221_prime':[AR_errorrate_1221_prime],'AR_RT_1221_prime':[AR_RT_1221_prime],'AR_correct_abs_1221_probe':[AR_correct_abs_1221_probe],'AR_wrong_abs_1221_probe':[AR_wrong_abs_1221_probe],'AR_errorrate_1221_probe':[AR_errorrate_1221_probe],'AR_RT_1221_probe':[AR_RT_1221_probe],'AR_Attprime_1221':[AR_Attprime_1221],'AR_Ignprime_1221':[AR_Ignprime_1221],'AR_Ignprobe_1221':[AR_Ignprobe_1221],'AR_neutral_1221':[AR_neutral_1221],'ARC_correct_abs_1221_prime':[ARC_correct_abs_1221_prime],'ARC_wrong_abs_1221_prime':[ARC_wrong_abs_1221_prime],'ARC_errorrate_1221_prime':[ARC_errorrate_1221_prime],'ARC_RT_1221_prime':[ARC_RT_1221_prime],'ARC_correct_abs_1221_probe':[ARC_correct_abs_1221_probe],'ARC_wrong_abs_1221_probe':[ARC_wrong_abs_1221_probe],'ARC_errorrate_1221_probe':[ARC_errorrate_1221_probe],'ARC_RT_1221_probe':[ARC_RT_1221_probe],'ARC_Attprime_1221':[ARC_Attprime_1221],'ARC_Ignprime_1221':[ARC_Ignprime_1221],'ARC_Ignprobe_1221':[ARC_Ignprobe_1221],'ARC_neutral_1221':[ARC_neutral_1221],'IR_correct_abs_3344_prime':[IR_correct_abs_3344_prime],'IR_wrong_abs_3344_prime':[IR_wrong_abs_3344_prime],'IR_errorrate_3344_prime':[IR_errorrate_3344_prime],'IR_RT_3344_prime':[IR_RT_3344_prime],'IR_correct_abs_3344_probe':[IR_correct_abs_3344_probe],'IR_wrong_abs_3344_probe':[IR_wrong_abs_3344_probe],'IR_errorrate_3344_probe':[IR_errorrate_3344_probe],'IR_RT_3344_probe':[IR_RT_3344_probe],'IR_Attprime_3344':[IR_Attprime_3344],'IR_Ignprime_3344':[IR_Ignprime_3344],'IR_Ignprobe_3344':[IR_Ignprobe_3344],'IR_neutral_3344':[IR_neutral_3344],'IRC_correct_abs_3344_prime':[IRC_correct_abs_3344_prime],'IRC_wrong_abs_3344_prime':[IRC_wrong_abs_3344_prime],'IRC_errorrate_3344_prime':[IRC_errorrate_3344_prime],'IRC_RT_3344_prime':[IRC_RT_3344_prime],'IRC_correct_abs_3344_probe':[IRC_correct_abs_3344_probe],'IRC_wrong_abs_3344_probe':[IRC_wrong_abs_3344_probe],'IRC_errorrate_3344_probe':[IRC_errorrate_3344_probe],'IRC_RT_3344_probe':[IRC_RT_3344_probe],'IRC_Attprime_3344':[IRC_Attprime_3344],'IRC_Ignprime_3344':[IRC_Ignprime_3344],'IRC_Ignprobe_3344':[IRC_Ignprobe_3344],'IRC_neutral_3344':[IRC_neutral_3344],'AR_correct_abs_3344_prime':[AR_correct_abs_3344_prime],'AR_wrong_abs_3344_prime':[AR_wrong_abs_3344_prime],'AR_errorrate_3344_prime':[AR_errorrate_3344_prime],'AR_RT_3344_prime':[AR_RT_3344_prime],'AR_correct_abs_3344_probe':[AR_correct_abs_3344_probe],'AR_wrong_abs_3344_probe':[AR_wrong_abs_3344_probe],'AR_errorrate_3344_probe':[AR_errorrate_3344_probe],'AR_RT_3344_probe':[AR_RT_3344_probe],'AR_Attprime_3344':[AR_Attprime_3344],'AR_Ignprime_3344':[AR_Ignprime_3344],'AR_Ignprobe_3344':[AR_Ignprobe_3344],'AR_neutral_3344':[AR_neutral_3344],'ARC_correct_abs_3344_prime':[ARC_correct_abs_3344_prime],'ARC_wrong_abs_3344_prime':[ARC_wrong_abs_3344_prime],'ARC_errorrate_3344_prime':[ARC_errorrate_3344_prime],'ARC_RT_3344_prime':[ARC_RT_3344_prime],'ARC_correct_abs_3344_probe':[ARC_correct_abs_3344_probe],'ARC_wrong_abs_3344_probe':[ARC_wrong_abs_3344_probe],'ARC_errorrate_3344_probe':[ARC_errorrate_3344_probe],'ARC_RT_3344_probe':[ARC_RT_3344_probe],'ARC_Attprime_3344':[ARC_Attprime_3344],'ARC_Ignprime_3344':[ARC_Ignprime_3344],'ARC_Ignprobe_3344':[ARC_Ignprobe_3344],'ARC_neutral_3344':[ARC_neutral_3344],'IR_correct_abs_3443_prime':[IR_correct_abs_3443_prime],'IR_wrong_abs_3443_prime':[IR_wrong_abs_3443_prime],'IR_errorrate_3443_prime':[IR_errorrate_3443_prime],'IR_RT_3443_prime':[IR_RT_3443_prime],'IR_correct_abs_3443_probe':[IR_correct_abs_3443_probe],'IR_wrong_abs_3443_probe':[IR_wrong_abs_3443_probe],'IR_errorrate_3443_probe':[IR_errorrate_3443_probe],'IR_RT_3443_probe':[IR_RT_3443_probe],'IR_Attprime_3443':[IR_Attprime_3443],'IR_Ignprime_3443':[IR_Ignprime_3443],'IR_Ignprobe_3443':[IR_Ignprobe_3443],'IR_neutral_3443':[IR_neutral_3443],'IRC_correct_abs_3443_prime':[IRC_correct_abs_3443_prime],'IRC_wrong_abs_3443_prime':[IRC_wrong_abs_3443_prime],'IRC_errorrate_3443_prime':[IRC_errorrate_3443_prime],'IRC_RT_3443_prime':[IRC_RT_3443_prime],'IRC_correct_abs_3443_probe':[IRC_correct_abs_3443_probe],'IRC_wrong_abs_3443_probe':[IRC_wrong_abs_3443_probe],'IRC_errorrate_3443_probe':[IRC_errorrate_3443_probe],'IRC_RT_3443_probe':[IRC_RT_3443_probe],'IRC_Attprime_3443':[IRC_Attprime_3443],'IRC_Ignprime_3443':[IRC_Ignprime_3443],'IRC_Ignprobe_3443':[IRC_Ignprobe_3443],'IRC_neutral_3443':[IRC_neutral_3443],'AR_correct_abs_3443_prime':[AR_correct_abs_3443_prime],'AR_wrong_abs_3443_prime':[AR_wrong_abs_3443_prime],'AR_errorrate_3443_prime':[AR_errorrate_3443_prime],'AR_RT_3443_prime':[AR_RT_3443_prime],'AR_correct_abs_3443_probe':[AR_correct_abs_3443_probe],'AR_wrong_abs_3443_probe':[AR_wrong_abs_3443_probe],'AR_errorrate_3443_probe':[AR_errorrate_3443_probe],'AR_RT_3443_probe':[AR_RT_3443_probe],'AR_Attprime_3443':[AR_Attprime_3443],'AR_Ignprime_3443':[AR_Ignprime_3443],'AR_Ignprobe_3443':[AR_Ignprobe_3443],'AR_neutral_3443':[AR_neutral_3443],'ARC_correct_abs_3443_prime':[ARC_correct_abs_3443_prime],'ARC_wrong_abs_3443_prime':[ARC_wrong_abs_3443_prime],'ARC_errorrate_3443_prime':[ARC_errorrate_3443_prime],'ARC_RT_3443_prime':[ARC_RT_3443_prime],'ARC_correct_abs_3443_probe':[ARC_correct_abs_3443_probe],'ARC_wrong_abs_3443_probe':[ARC_wrong_abs_3443_probe],'ARC_errorrate_3443_probe':[ARC_errorrate_3443_probe],'ARC_RT_3443_probe':[ARC_RT_3443_probe],'ARC_Attprime_3443':[ARC_Attprime_3443],'ARC_Ignprime_3443':[ARC_Ignprime_3443],'ARC_Ignprobe_3443':[ARC_Ignprobe_3443],'ARC_neutral_3443':[ARC_neutral_3443]}))

#write into an csv
result.to_csv('results.csv')
